List Live Outputs

get https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name/liveOutputs

Listing, Sorting and Filtering Live Outputs

This endpoint returns the list of live outputs in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/description, properties/lastModified, updated, updatedBy

Filtering

The $filter query parameter allows for live outputs to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/description, properties/lastModified, updated, updatedBy, updatedByEmail, updatedByName

Examples:

?$top=10 - Returns only the first 10 live outputs from the list.

?$orderby=name desc - Sorts live outputs by name in descending order.

?$filter=name eq 'descriptive name' - Returns live outputs that match the provided name.

?$orderby=created desc - Sorts live outputs by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns live outputs created after January 1, 2021.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
event_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 List of live outputs
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsLiveOutputSchemaRequired
A list of Live Outputs
Show 2 propertiesHide 2 properties
namestringOptional1-256 characterspattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$
The name of the resource
propertiesobjectLiveOutputPropertiesRequired
The properties of the live output.
Show 11 propertiesHide 11 properties
archiveWindowLengthstringRequired
ISO 8601 timespan duration of the archive window length. This is duration that customer want to retain the recorded content.
assetNamestringRequired1-260 characters
The name of the asset that the live output will write to.
createdstringOptional
The exact time the live output was created.
descriptionstringOptional0-4096 characters
The description of the live output.
hlsobjectLiveOutputHlsOptional
The HLS configuration.
Show 1 propertyHide 1 property
fragmentsPerTsSegmentintegerOptional1 to 100000000Defaults to 1
The number of fragments per HLS segment.
lastModifiedstringOptional
The exact time the live output was last modified.
manifestNamestringOptional1-64 characterspattern: ^[a-zA-Z0-9\-]+[a-zA-Z0-9]$
The name of the manifest file. If not provided, the service will generate one automatically. This is the filename that will appear in playback URLs.
outputSnapTimeintegerOptionalDefaults to 0
Not supported. The output snapshot time. This is the wall clock time, in unix epoch seconds, that the live output will begin recording from.
provisioningStatestringOptional
The provisioning state of the live output.
resourceStateenumOptional
The resource state of the live output.
Allowed values:CreatingDeletingRunning
rewindWindowLengthstringOptional
Not supported. ISO 8601 timespan duration of the rewind window length during live playback. This is the amount of time that the live output will be able to rewind.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code